## warzone2100 2.1.0~0.svn1436

=== wscript ===
#! /usr/bin/env python
# encoding: utf-8
# Dennis Schridde, 2006 (devurandom)

# Warzone 2100

# the following two variables are used by the target "waf dist"
VERSION='TRUNK'
APPNAME='Warzone 2100'

# these variables are mandatory ('/' are converted automatically)
srcdir = '.'
blddir = '_build_'

# make sure waf has the version we want
import Utils
Utils.waf_version(mini="1.0", maxi="9.9.9")


# For DEFAULT_DATADIR and debug variant
import Params


def set_options(opt):
	#add option for additional/external includes and library dirs for MinGW on Windows
	opt.tool_options('compiler_cc')
	opt.add_option('--debug',
		action='store_true',
		default=False,
		help='Build debug variant [Default: False]',
		dest='debug')


def configure(conf):
	# Check for C-Compiler, the Lexer/Parser tools and get the checks module for checkEndian
	conf.check_tool('compiler_cc flex bison checks')

	# Big or little endian?
	conf.checkEndian()

	# Check for all required libs
	if not conf.check_pkg2('sdl', '1.2', 0):
		if not conf.check_cfg2('sdl', 0):
			conf.check_header('SDL/SDL.h')
			conf.check_library('SDL')
			conf.check_library('SDLmain')

	if not conf.check_pkg2('openal', '0', 0):
		conf.check_header2('AL/al.h')
		conf.check_library2('openal')

	if not conf.check_pkg2('libpng', '1.2', 0, 'PNG'):
		conf.check_header2('png.h')
		conf.check_library2('png')

	if not conf.check_pkg2('ogg', '1.0', 0):
		conf.check_header2('ogg/ogg.h')
		conf.check_library2('ogg')

	if not conf.check_pkg2('vorbisfile', '1.0', 0):
		conf.check_header2('vorbis/vorbisfile.h')
		conf.check_library2('vorbisfile')

	conf.check_header2('SDL/SDL_net.h')
	conf.check_library2('SDL_net')

	conf.check_header2('GL/gl.h')
	conf.check_library2('GL')

	conf.check_header2('GL/glu.h')
	conf.check_library2('GLU')

	conf.check_header2('physfs.h')
	conf.check_library2('physfs')

	# Common defines
	conf.add_define('VERSION', VERSION)
	conf.add_define('DEFAULT_DATADIR', Params.g_options.prefix + 'warzone2100')
	conf.add_define('YY_STATIC', 1)
	conf.add_define('LOCALEDIR', '')
	conf.add_define('PACKAGE', 'warzone2100')

	# Split off debug variant before adding variant specific defines
	conf.set_env_name('debug', conf.env.deepcopy())

	# Configure non debug variant
	conf.env['CCFLAGS'] += ['-DNDEBUG', '-g', '-O2']
	conf.add_define('NDEBUG', 1)
	conf.write_config_header()

	# Configure debug variant
	conf.setenv('debug')
	conf.env.set_variant('debug')
	conf.env['CCFLAGS'] += ['-DDEBUG', '-g', '-O0', '-Wall', '-Wextra']
	conf.add_define('DEBUG', 1)
	conf.write_config_header()


def build(bld):
	obj = bld.create_obj('cc', 'program')
	obj.find_sources_in_dirs('lib/framework lib/gamelib lib/netplay lib/ivis_common lib/ivis_opengl lib/script lib/sequence lib/sound lib/widget src')
	obj.uselib='PNG OGG VORBISFILE GLU GL OPENAL PHYSFS SDL_NET SDL SDLMAIN'
	obj.includes='lib/framework lib/gamelib lib/script src'
	obj.defines='HAVE_CONFIG_H'
	obj.target='warzone2100'

	# Use debug environment when --enable-debug is given
	if Params.g_options.debug:
		obj.env = bld.env_of_name('debug')

## warzone2100 2.1.0~0.svn3595.dfsg.1

=== wscript ===
--- 
+++ 
@@ -33,7 +33,7 @@
 
 def configure(conf):
 	# Check for C-Compiler, the Lexer/Parser tools and get the checks module for checkEndian
-	conf.check_tool('compiler_cc flex bison checks')
+	conf.check_tool('compiler_cc batched_cc flex bison checks')
 
 	# Big or little endian?
 	conf.checkEndian()
@@ -79,6 +79,7 @@
 	conf.add_define('YY_STATIC', 1)
 	conf.add_define('LOCALEDIR', '')
 	conf.add_define('PACKAGE', 'warzone2100')
+	conf.env['CCFLAGS'] += ['-pipe', '-combine']
 
 	# Split off debug variant before adding variant specific defines
 	conf.set_env_name('debug', conf.env.deepcopy())

## warzone2100 2.3.4

=== win32/libs/dejavu/Makefile ===
PKG_NAME:=dejavu-fonts-ttf
PKG_VERSION=2.31

PKG_SOURCEBASE:=$(PKG_NAME)-$(PKG_VERSION)
PKG_SOURCE:=$(PKG_SOURCEBASE).tar.bz2
PKG_SOURCE_URL:= \
	@SF/dejavu \
	http://www.il.fontys.nl/~giel/warzone/devpkg/
PKG_MD5SUM:=a794a75d8c43c83f0226207cd3aaf666

TARGETS:= \
	$(TOPDIR)/build/libs/etc/fonts/DejaVuSans.ttf \
	$(TOPDIR)/build/libs/etc/fonts/DejaVuSans-Bold.ttf

include $(TOPDIR)/rules.mk

extract-stamp: $(TOPDIR)/downloads/$(PKG_SOURCE)
	tar xjf $^
	touch extract-stamp

$(PKG_SOURCEBASE)/ttf/DejaVuSans.ttf $(PKG_SOURCEBASE)/ttf/DejaVuSans-Bold.ttf: extract-stamp

$(TOPDIR)/build/libs/etc/fonts:
	@test -d $@ || { \
	    echo mkdir -p $@ ; \
	    mkdir -p $@ || exit ; \
	}

$(TOPDIR)/build/libs/etc/fonts/%.ttf: $(PKG_SOURCEBASE)/ttf/%.ttf $(TOPDIR)/build/libs/etc/fonts
	cp -p $< $@

build: $(TARGETS)

clean:
	$(RM) -rf $(PKG_SOURCEBASE) extract-stamp

=== win32/libs/devpkg/Makefile ===
PKG_NAME:=devpkg_tarbomb
PKG_VERSION:=2.3

PKG_SOURCEBASE=$(PKG_NAME)-$(PKG_VERSION)
PKG_SOURCE:=$(PKG_SOURCEBASE).tar.bz2
PKG_SOURCE_URL:= \
	http://download.gna.org/warzone/development/devpkg/ \
	http://www.il.fontys.nl/~giel/warzone/devpkg/
PKG_MD5SUM:=6a3a37022ffc3c0a573ad2d6c4766b6d

include $(TOPDIR)/rules.mk

extract-stamp: $(TOPDIR)/downloads/$(PKG_SOURCE)
	@test -d $(TOPDIR)/build/libs || { \
	    echo mkdir -p $(TOPDIR)/build/libs ; \
	    mkdir -p $(TOPDIR)/build/libs || exit ; \
	}
	tar -x -j -C $(TOPDIR)/build/libs -f $^
	touch extract-stamp

all: build
build: extract-stamp

clean:
	$(RM) extract-stamp

.PHONY: all build clean

=== win32/libs/expat/Makefile ===
PKG_NAME:=expat
PKG_VERSION=2.0.1

PKG_SOURCEBASE:=$(PKG_NAME)-$(PKG_VERSION)
PKG_SOURCE:=$(PKG_SOURCEBASE).tar.gz
PKG_SOURCE_URL:= \
	@SF/expat \
	http://www.il.fontys.nl/~giel/warzone/devpkg/
PKG_MD5SUM:=ee8b492592568805593f81f8cdf2a04c

TARGET:=$(TOPDIR)/builds/libs/lib/libexpat.la

include $(TOPDIR)/rules.mk

extract-stamp: $(TOPDIR)/downloads/$(PKG_SOURCE)
	tar xzf $^
	touch extract-stamp

$(PKG_SOURCEBASE)/config.status: extract-stamp
	cd $(PKG_SOURCEBASE) && ./configure --host=$(HOST_TRIPLET) --enable-static --disable-shared --prefix=`pwd`/../$(TOPDIR)/build/libs

$(PKG_SOURCEBASE)/libexpat.la: $(PKG_SOURCEBASE)/config.status
	$(MAKE) -C $(PKG_SOURCEBASE) libexpat.la

$(TARGET): $(PKG_SOURCEBASE)/libexpat.la
	$(MAKE) -C $(PKG_SOURCEBASE) installlib

all: build
build: $(TARGET)

clean:
	$(RM) -rf $(PKG_SOURCEBASE) extract-stamp

.PHONY: all build clean

=== win32/libs/fontconfig/Makefile ===
PKG_NAME:=fontconfig
PKG_VERSION:=2.8.0

PKG_SOURCEBASE=$(PKG_NAME)-$(PKG_VERSION)
PKG_SOURCE:=$(PKG_SOURCEBASE).tar.gz
PKG_SOURCE_URL:= \
	http://fontconfig.org/release/ \
	http://www.il.fontys.nl/~giel/warzone/devpkg/
PKG_MD5SUM:=77e15a92006ddc2adbb06f840d591c0e

TARGETS:= \
	$(TOPDIR)/build/libs/etc/fonts/fonts.conf.wd_enable \
	$(TOPDIR)/build/libs/etc/fonts/fonts.conf.wd_disable \
	$(TOPDIR)/build/libs/lib/libfontconfig.la

include $(TOPDIR)/rules.mk

$(PKG_SOURCEBASE) extract-stamp: $(TOPDIR)/downloads/$(PKG_SOURCE)
	tar xzf $^
	touch extract-stamp

$(PKG_SOURCEBASE)/config.status: extract-stamp
	cd $(PKG_SOURCEBASE) && ./configure --host=$(HOST_TRIPLET) --enable-static --disable-shared --prefix=`pwd`/../$(TOPDIR)/build/libs CPPFLAGS=-I`pwd`/../$(TOPDIR)/build/libs/include LDFLAGS=-L`pwd`/../$(TOPDIR)/build/libs/lib --disable-docs --with-arch=$(HOST_TRIPLET)

$(PKG_SOURCEBASE)/src/libfontconfig.la: $(PKG_SOURCEBASE)/config.status
	$(MAKE) -C $(PKG_SOURCEBASE) all || $(MAKE) -C $(PKG_SOURCEBASE) all

$(TOPDIR)/build/libs/lib/libfontconfig.la: $(PKG_SOURCEBASE)/src/libfontconfig.la
	$(MAKE) -C $(PKG_SOURCEBASE) install-configDATA install-pkgconfigDATA install-exec
	$(MAKE) -C $(PKG_SOURCEBASE)/fontconfig install

$(TOPDIR)/build/libs/etc/fonts:
	@test -d $@ || { \
	    echo mkdir -p $@ ; \
	    mkdir -p $@ || exit ; \
	}

$(TOPDIR)/build/libs/etc/fonts/fonts.conf.wd_enable:  $(TOPDIR)/../pkg/nsis/fonts.conf.wd_enable  $(TOPDIR)/build/libs/etc/fonts
	cp -p $< $@

$(TOPDIR)/build/libs/etc/fonts/fonts.conf.wd_disable: $(TOPDIR)/../pkg/nsis/fonts.conf.wd_disable $(TOPDIR)/build/libs/etc/fonts
	cp -p $< $@

all: build
build: $(TARGETS)

clean:
	$(RM) -r $(PKG_SOURCEBASE) extract-stamp

.PHONY: all build clean

=== win32/libs/freetype2/Makefile ===
PKG_NAME:=freetype
PKG_VERSION=2.3.12

PKG_SOURCEBASE:=$(PKG_NAME)-$(PKG_VERSION)
PKG_SOURCE:=$(PKG_SOURCEBASE).tar.bz2
PKG_SOURCE_URL:= \
	@SF/freetype \
	http://www.il.fontys.nl/~giel/warzone/devpkg/
PKG_MD5SUM:=e974a82e5939be8e05ee65f07275d7c5

TARGET:=$(TOPDIR)/build/libs/lib/libfreetype.la

include $(TOPDIR)/rules.mk

extract-stamp: $(TOPDIR)/downloads/$(PKG_SOURCE)
	tar xjf $^
	touch extract-stamp

$(PKG_SOURCEBASE)/builds/unix/config.status: extract-stamp
	cd $(PKG_SOURCEBASE) && ./configure --host=$(HOST_TRIPLET) --enable-static --disable-shared --prefix=`pwd`/../$(TOPDIR)/build/libs

$(TARGET): $(PKG_SOURCEBASE)/builds/unix/config.status
	$(MAKE) -C $(PKG_SOURCEBASE) install

all: build
build: $(TARGET)

clean:
	$(RM) -rf $(PKG_SOURCEBASE) extract-stamp

.PHONY: all build clean

=== win32/libs/gettext/Makefile ===
PKG_NAME:=gettext
PKG_VERSION:=0.18.1

PKG_SOURCEBASE=$(PKG_NAME)-$(PKG_VERSION)
PKG_SOURCE:=$(PKG_SOURCEBASE).tar.gz
PKG_SOURCE_URL:= \
	http://ftp.gnu.org/pub/gnu/gettext/ \
	http://www.il.fontys.nl/~giel/warzone/devpkg/
PKG_MD5SUM:=2ae04f960d5fa03774636ddef19ebdbf

TARGET:=$(TOPDIR)/build/libs/lib/libintl.la
SHELL:=$(shell which bash)

include $(TOPDIR)/rules.mk

$(PKG_SOURCEBASE) extract-stamp: $(TOPDIR)/downloads/$(PKG_SOURCE)
	tar xzf $^
	touch extract-stamp

$(PKG_SOURCEBASE)/config.status: extract-stamp
	cd $(PKG_SOURCEBASE) && "$(SHELL)" ./configure --host=$(HOST_TRIPLET) --enable-static --disable-shared --prefix=`pwd`/../$(TOPDIR)/build/libs --disable-java

$(PKG_SOURCEBASE)/gettext-runtime/intl/libintl.la: $(PKG_SOURCEBASE)/config.status
	env SHELL="$(SHELL)" $(MAKE) SHELL="$(SHELL)" -C $(PKG_SOURCEBASE)/gettext-runtime/intl libintl.la

$(TARGET): $(PKG_SOURCEBASE)/gettext-runtime/intl/libintl.la
	env SHELL="$(SHELL)" $(MAKE) SHELL="$(SHELL)" -C $(PKG_SOURCEBASE)/gettext-runtime/intl install-exec

all: build
build: $(TARGET)

clean:
	$(RM) -r $(PKG_SOURCEBASE) extract-stamp

.PHONY: all build clean

=== win32/libs/iconv/Makefile ===
PKG_NAME:=libiconv
PKG_VERSION:=1.13.1

PKG_SOURCEBASE=$(PKG_NAME)-$(PKG_VERSION)
PKG_SOURCE:=$(PKG_SOURCEBASE).tar.gz
PKG_SOURCE_URL:= \
	http://ftp.gnu.org/pub/gnu/libiconv/ \
	http://www.il.fontys.nl/~giel/warzone/devpkg/
PKG_MD5SUM:=7ab33ebd26687c744a37264a330bbe9a

TARGET:=$(TOPDIR)/build/libs/lib/libiconv.la

include $(TOPDIR)/rules.mk

$(PKG_SOURCEBASE) extract-stamp: $(TOPDIR)/downloads/$(PKG_SOURCE)
	tar xzf $^
	touch extract-stamp

$(PKG_SOURCEBASE)/config.status: extract-stamp
	cd $(PKG_SOURCEBASE) && ./configure --host=$(HOST_TRIPLET) --enable-static --disable-shared --prefix=`pwd`/../$(TOPDIR)/build/libs

$(PKG_SOURCEBASE)/lib/libiconv.la: $(PKG_SOURCEBASE)/config.status
	$(MAKE) -C $(PKG_SOURCEBASE)

$(TARGET): $(PKG_SOURCEBASE)/lib/libiconv.la
	$(MAKE) -C $(PKG_SOURCEBASE) install-lib

all: build
build: $(TARGET)

clean:
	$(RM) -r $(PKG_SOURCEBASE) extract-stamp

.PHONY: all build clean

=== win32/libs/ogg/Makefile ===
PKG_NAME:=libogg
PKG_VERSION:=1.2.0

PKG_SOURCEBASE=$(PKG_NAME)-$(PKG_VERSION)
PKG_SOURCE:=$(PKG_SOURCEBASE).tar.gz
PKG_SOURCE_URL:= \
	http://downloads.xiph.org/releases/ogg/ \
	http://www.il.fontys.nl/~giel/warzone/devpkg/
PKG_MD5SUM:=c95b73759acfc30712beef6ce4e88efa

TARGETS:= \
	$(TOPDIR)/build/libs/include/ogg/ogg.h \
	$(TOPDIR)/build/libs/lib/libogg.la

include $(TOPDIR)/rules.mk

$(PKG_SOURCEBASE) extract-stamp: $(TOPDIR)/downloads/$(PKG_SOURCE)
	tar xzf $^
	@echo autoconf ; \
	cd $(PKG_SOURCEBASE) && autoconf || $(RM) -r $(PKG_SOURCEBASE)
	touch extract-stamp

$(PKG_SOURCEBASE)/config.status: extract-stamp
	cd $(PKG_SOURCEBASE) && ./configure --host=$(HOST_TRIPLET) --enable-static --disable-shared --prefix=`pwd`/../$(TOPDIR)/build/libs

$(PKG_SOURCEBASE)/src/libogg.la: $(PKG_SOURCEBASE)/config.status
	$(MAKE) -C $(PKG_SOURCEBASE)/src libogg.la

$(PKG_SOURCEBASE)/include/ogg/ogg.h: extract-stamp

$(TOPDIR)/build/libs/include/ogg/ogg.h: $(PKG_SOURCEBASE)/include/ogg/ogg.h $(PKG_SOURCEBASE)/config.status
	$(MAKE) -C $(PKG_SOURCEBASE)/include install

$(TOPDIR)/build/libs/lib/libogg.la: $(PKG_SOURCEBASE)/src/libogg.la
	$(MAKE) -C $(PKG_SOURCEBASE)/src install

all: build
build: $(TARGETS)

clean:
	$(RM) -r $(PKG_SOURCEBASE) extract-stamp

.PHONY: all build clean

=== win32/libs/png/Makefile ===
PKG_NAME:=libpng
PKG_VERSION=1.2.44

PKG_SOURCEBASE:=$(PKG_NAME)-$(PKG_VERSION)
PKG_SOURCE:=$(PKG_SOURCEBASE).tar.bz2
PKG_SOURCE_URL:= \
	@SF/libpng \
	http://www.il.fontys.nl/~giel/warzone/devpkg/
PKG_MD5SUM:=e3ac7879d62ad166a6f0c7441390d12b

TARGET:=$(TOPDIR)/build/libs/lib/libpng.la

include $(TOPDIR)/rules.mk

extract-stamp: $(TOPDIR)/downloads/$(PKG_SOURCE)
	tar xjf $^
	touch extract-stamp

$(PKG_SOURCEBASE)/configure: extract-stamp

$(PKG_SOURCEBASE)/config.status: $(PKG_SOURCEBASE)/configure
	cd $(PKG_SOURCEBASE) && ./configure --host=$(HOST_TRIPLET) --prefix=`pwd`/../$(TOPDIR)/build/libs --disable-shared --enable-static CPPFLAGS=-I`pwd`/../$(TOPDIR)/build/libs/include LDFLAGS=-L`pwd`/../$(TOPDIR)/build/libs/lib

$(PKG_SOURCEBASE)/libpng.la: extract-stamp $(PKG_SOURCEBASE)/config.status
	$(MAKE) -C $(PKG_SOURCEBASE) libpng.la

$(TARGET): $(PKG_SOURCEBASE)/libpng.la
	$(MAKE) -C $(PKG_SOURCEBASE) install

build: $(TARGET)

clean:
	$(RM) -rf $(PKG_SOURCEBASE) extract-stamp

=== win32/libs/popt/Makefile ===
PKG_NAME:=popt
PKG_VERSION:=1.12

PKG_SOURCEBASE=$(PKG_NAME)-$(PKG_VERSION)
PKG_SOURCE:=$(PKG_SOURCEBASE).tar.gz
PKG_SOURCE_URL:= \
	http://rpm5.org/files/popt/ \
	http://www.il.fontys.nl/~giel/warzone/devpkg/
PKG_MD5SUM:=f45290e9ac4b1cf209d0042eb6755543

TARGETS:= \
	$(TOPDIR)/build/libs/include/popt.h \
	$(TOPDIR)/build/libs/lib/libpopt.la

include $(TOPDIR)/rules.mk

$(PKG_SOURCEBASE) extract-stamp: $(TOPDIR)/downloads/$(PKG_SOURCE)
	tar xzf $^
	touch extract-stamp

patch-stamp: extract-stamp
	@for patch in patches/*.diff; do \
	    echo sed -e "s/\$$sourcebase\b/$(PKG_SOURCEBASE)/g" -e "s/\$$host_triplet\b/$(HOST_TRIPLET)/g" "$$patch" \| patch -p0 ; \
	    sed -e "s/\$$sourcebase\b/$(PKG_SOURCEBASE)/g" -e "s/\$$host_triplet\b/$(HOST_TRIPLET)/g" "$$patch" | patch -p0 || exit ; \
	done
	touch patch-stamp

$(PKG_SOURCEBASE)/configure: patch-stamp
	cd $(PKG_SOURCEBASE) && libtoolize --copy --force
	cd $(PKG_SOURCEBASE) && perl -p -i~ -e 's/(po\/Makefile\.in)\s+po\/Makefile\.in/$1/' configure.ac
	cd $(PKG_SOURCEBASE) && perl -p -i~ -e 's/(SUBDIRS\s+=\s+po)\s+po/$1/' Makefile.am
	cd $(PKG_SOURCEBASE) && aclocal -I m4
	cd $(PKG_SOURCEBASE) && autoheader
	cd $(PKG_SOURCEBASE) && automake -a -c
	cd $(PKG_SOURCEBASE) && autoconf

$(PKG_SOURCEBASE)/config.status: $(PKG_SOURCEBASE)/configure
	cd $(PKG_SOURCEBASE) && ./configure --host=$(HOST_TRIPLET) --enable-static --disable-shared --prefix=`pwd`/../$(TOPDIR)/build/libs

$(PKG_SOURCEBASE)/libpopt.la: $(PKG_SOURCEBASE)/config.status
	$(MAKE) -C $(PKG_SOURCEBASE) libpopt.la

$(PKG_SOURCEBASE)/popt.h: extract-stamp

$(TOPDIR)/build/libs/include/popt.h: $(PKG_SOURCEBASE)/popt.h $(PKG_SOURCEBASE)/config.status
	$(MAKE) -C $(PKG_SOURCEBASE) install-includeHEADERS

$(TOPDIR)/build/libs/lib/libpopt.la: $(PKG_SOURCEBASE)/libpopt.la
	$(MAKE) -C $(PKG_SOURCEBASE) install-usrlibLTLIBRARIES

all: build
build: $(TARGETS)

clean:
	$(RM) -r $(PKG_SOURCEBASE) extract-stamp patch-stamp

.PHONY: all build clean

=== win32/libs/quesoglc/Makefile ===
PKG_NAME:=quesoglc
PKG_VERSION:=0.7.3~svn913

PKG_SOURCEBASE=$(PKG_NAME)-$(PKG_VERSION)
PKG_CHECKOUT_URL=https://quesoglc.svn.sourceforge.net/svnroot/quesoglc/branches/release-0.7/quesoglc

TARGETS:= \
	$(TOPDIR)/build/libs/lib/libGLC.la \
	$(TOPDIR)/build/libs/include/GL/glc.h

include $(TOPDIR)/rules.mk

$(PKG_SOURCEBASE) fetch-stamp:
	svn export --force -r 913 $(PKG_CHECKOUT_URL) $(PKG_SOURCEBASE)
	touch fetch-stamp

$(PKG_SOURCEBASE)/configure.in: fetch-stamp

patch-stamp: fetch-stamp
	@for patch in patches/*.diff; do \
		echo sed -e "s/\$$sourcebase\b/$(PKG_SOURCEBASE)/g" -e "s/\$$host_triplet\b/$(HOST_TRIPLET)/g" "$$patch" \| patch -p0; \
		sed -e "s/\$$sourcebase\b/$(PKG_SOURCEBASE)/g" -e "s/\$$host_triplet\b/$(HOST_TRIPLET)/g" "$$patch" | patch -p0 || exit ; \
	done
	touch patch-stamp

$(PKG_SOURCEBASE)/configure: $(PKG_SOURCEBASE)/configure.in patch-stamp
	cd $(PKG_SOURCEBASE) && ./bootstrap

$(PKG_SOURCEBASE)/config.status: $(PKG_SOURCEBASE)/configure
	cd $(PKG_SOURCEBASE) && ./configure --host=$(HOST_TRIPLET) --enable-static --disable-shared --prefix=`pwd`/../$(TOPDIR)/build/libs CPPFLAGS="-I`pwd`/../$(TOPDIR)/build/libs/include -DGLEW_STATIC" LDFLAGS=-L`pwd`/../$(TOPDIR)/build/libs/lib PKG_CONFIG_PATH=`pwd`/../$(TOPDIR)/build/libs/lib/pkgconfig --disable-executables --without-x --without-glew --without-fribidi --disable-tls ac_cv_func_malloc_0_nonnull=yes ac_cv_func_realloc_0_nonnull=yes

$(PKG_SOURCEBASE)/build/libGLC.la: $(PKG_SOURCEBASE)/config.status
	$(MAKE) -C $(PKG_SOURCEBASE)/build libGLC.la

$(TOPDIR)/build/libs/lib/libGLC.la: $(PKG_SOURCEBASE)/build/libGLC.la
	$(MAKE) -C $(PKG_SOURCEBASE)/build install-libLTLIBRARIES

$(PKG_SOURCEBASE)/include/GL/glc.h: fetch-stamp

$(TOPDIR)/build/libs/include/GL/glc.h: $(PKG_SOURCEBASE)/include/GL/glc.h $(PKG_SOURCEBASE)/config.status
	$(MAKE) -C $(PKG_SOURCEBASE)/include install-nobase_includeHEADERS

all: build
build: $(TARGETS)

clean:
	$(RM) -r $(PKG_SOURCEBASE) fetch-stamp patch-stamp

.PHONY: all build clean

=== win32/libs/sdl/Makefile ===
PKG_NAME:=SDL
PKG_VERSION:=1.2.14

PKG_SOURCEBASE=$(PKG_NAME)-$(PKG_VERSION)
PKG_SOURCE:=$(PKG_SOURCEBASE).tar.gz
PKG_SOURCE_URL:= \
	http://www.libsdl.org/release/ \
	http://www.il.fontys.nl/~giel/warzone/devpkg/
PKG_MD5SUM:=e52086d1b508fa0b76c52ee30b55bec4

TARGETS:= \
	$(TOPDIR)/build/libs/include/SDL/SDL.h \
	$(TOPDIR)/build/libs/lib/pkgconfig/sdl.pc \
	$(TOPDIR)/build/libs/lib/libSDL.la

include $(TOPDIR)/rules.mk

$(PKG_SOURCEBASE) extract-stamp: $(TOPDIR)/downloads/$(PKG_SOURCE)
	tar xzf $^
	touch extract-stamp

patch-stamp: extract-stamp
	@for patch in patches/*.diff; do \
	    echo sed -e "s/\$$sourcebase\b/$(PKG_SOURCEBASE)/g" -e "s/\$$host_triplet\b/$(HOST_TRIPLET)/g" "$$patch" \| patch -p0 ; \
	    sed -e "s/\$$sourcebase\b/$(PKG_SOURCEBASE)/g" -e "s/\$$host_triplet\b/$(HOST_TRIPLET)/g" "$$patch" | patch -p0 || exit ; \
	done
	touch patch-stamp

$(PKG_SOURCEBASE)/config.status: patch-stamp
	cd $(PKG_SOURCEBASE) && ./configure --host=$(HOST_TRIPLET) --enable-static --disable-shared --prefix=`pwd`/../$(TOPDIR)/build/libs --disable-audio --disable-cdrom

$(PKG_SOURCEBASE)/build/libSDL.la: $(PKG_SOURCEBASE)/config.status
	$(MAKE) -C $(PKG_SOURCEBASE) build

$(PKG_SOURCEBASE)/include/SDL.h $(PKG_SOURCEBASE)/sdl.pc: extract-stamp

$(TOPDIR)/build/libs/include/SDL/SDL.h: $(PKG_SOURCEBASE)/include/SDL.h $(PKG_SOURCEBASE)/config.status
	$(MAKE) -C $(PKG_SOURCEBASE) install-hdrs

$(TOPDIR)/build/libs/lib/pkgconfig/sdl.pc: $(PKG_SOURCEBASE)/sdl.pc $(PKG_SOURCEBASE)/config.status
	$(MAKE) -C $(PKG_SOURCEBASE) install-data

$(TOPDIR)/build/libs/lib/libSDL.la: $(PKG_SOURCEBASE)/build/libSDL.la
	$(MAKE) -C $(PKG_SOURCEBASE) install-lib

all: build
build: $(TARGETS)

clean:
	$(RM) -r $(PKG_SOURCEBASE) extract-stamp patch-stamp

.PHONY: all build clean

## warzone2100 2.3.7

=== win32/libs/dejavu/Makefile ===
--- 
+++ 
@@ -1,12 +1,12 @@
 PKG_NAME:=dejavu-fonts-ttf
-PKG_VERSION=2.31
+PKG_VERSION=2.32
 
 PKG_SOURCEBASE:=$(PKG_NAME)-$(PKG_VERSION)
 PKG_SOURCE:=$(PKG_SOURCEBASE).tar.bz2
 PKG_SOURCE_URL:= \
 	@SF/dejavu \
 	http://www.il.fontys.nl/~giel/warzone/devpkg/
-PKG_MD5SUM:=a794a75d8c43c83f0226207cd3aaf666
+PKG_MD5SUM:=63b1bf644cd54188a2ec43aff1846104
 
 TARGETS:= \
 	$(TOPDIR)/build/libs/etc/fonts/DejaVuSans.ttf \

=== win32/libs/freetype2/Makefile ===
--- 
+++ 
@@ -1,12 +1,12 @@
 PKG_NAME:=freetype
-PKG_VERSION=2.3.12
+PKG_VERSION=2.4.4
 
 PKG_SOURCEBASE:=$(PKG_NAME)-$(PKG_VERSION)
 PKG_SOURCE:=$(PKG_SOURCEBASE).tar.bz2
 PKG_SOURCE_URL:= \
 	@SF/freetype \
 	http://www.il.fontys.nl/~giel/warzone/devpkg/
-PKG_MD5SUM:=e974a82e5939be8e05ee65f07275d7c5
+PKG_MD5SUM:=b3e2b6e2f1c3e0dffa1fd2a0f848b671
 
 TARGET:=$(TOPDIR)/build/libs/lib/libfreetype.la

=== win32/libs/gettext/Makefile ===
--- 
+++ 
@@ -1,12 +1,12 @@
 PKG_NAME:=gettext
-PKG_VERSION:=0.18.1
+PKG_VERSION:=0.18.1.1
 
 PKG_SOURCEBASE=$(PKG_NAME)-$(PKG_VERSION)
 PKG_SOURCE:=$(PKG_SOURCEBASE).tar.gz
 PKG_SOURCE_URL:= \
 	http://ftp.gnu.org/pub/gnu/gettext/ \
 	http://www.il.fontys.nl/~giel/warzone/devpkg/
-PKG_MD5SUM:=2ae04f960d5fa03774636ddef19ebdbf
+PKG_MD5SUM:=3dd55b952826d2b32f51308f2f91aa89
 
 TARGET:=$(TOPDIR)/build/libs/lib/libintl.la
 SHELL:=$(shell which bash)

=== win32/libs/ogg/Makefile ===
--- 
+++ 
@@ -1,12 +1,12 @@
 PKG_NAME:=libogg
-PKG_VERSION:=1.2.0
+PKG_VERSION:=1.2.2
 
 PKG_SOURCEBASE=$(PKG_NAME)-$(PKG_VERSION)
 PKG_SOURCE:=$(PKG_SOURCEBASE).tar.gz
 PKG_SOURCE_URL:= \
 	http://downloads.xiph.org/releases/ogg/ \
 	http://www.il.fontys.nl/~giel/warzone/devpkg/
-PKG_MD5SUM:=c95b73759acfc30712beef6ce4e88efa
+PKG_MD5SUM:=5a9fcabc9a1b7c6f1cd75ddc78f36c56
 
 TARGETS:= \
 	$(TOPDIR)/build/libs/include/ogg/ogg.h \

=== win32/libs/png/Makefile ===
PKG_NAME:=libpng
PKG_VERSION=1.4.5

PKG_SOURCEBASE:=$(PKG_NAME)-$(PKG_VERSION)
PKG_SOURCE:=$(PKG_SOURCEBASE).tar.bz2
PKG_SOURCE_URL:= \
	@SF/libpng \
	http://www.il.fontys.nl/~giel/warzone/devpkg/
PKG_MD5SUM:=d500e117e4a08d5ca3bd51dca0a0bc5f

TARGET:=$(TOPDIR)/build/libs/lib/libpng14.la

include $(TOPDIR)/rules.mk

extract-stamp: $(TOPDIR)/downloads/$(PKG_SOURCE)
	tar xjf $^
	touch extract-stamp

$(PKG_SOURCEBASE)/configure: extract-stamp

$(PKG_SOURCEBASE)/config.status: $(PKG_SOURCEBASE)/configure
	cd $(PKG_SOURCEBASE) && ./configure --host=$(HOST_TRIPLET) --prefix=`pwd`/../$(TOPDIR)/build/libs --disable-shared --enable-static CPPFLAGS=-I`pwd`/../$(TOPDIR)/build/libs/include LDFLAGS=-L`pwd`/../$(TOPDIR)/build/libs/lib

$(PKG_SOURCEBASE)/libpng14.la: extract-stamp $(PKG_SOURCEBASE)/config.status
	$(MAKE) -C $(PKG_SOURCEBASE) libpng14.la

$(TARGET): $(PKG_SOURCEBASE)/libpng14.la
	$(MAKE) -C $(PKG_SOURCEBASE) install

build: $(TARGET)

clean:
	$(RM) -rf $(PKG_SOURCEBASE) extract-stamp

=== win32/libs/vorbis/Makefile ===
PKG_NAME:=libvorbis
PKG_VERSION:=1.3.2

PKG_SOURCEBASE=$(PKG_NAME)-$(PKG_VERSION)
PKG_SOURCE:=$(PKG_SOURCEBASE).tar.gz
PKG_SOURCE_URL:= \
	http://downloads.xiph.org/releases/vorbis/ \
	http://www.il.fontys.nl/~giel/warzone/devpkg/
PKG_MD5SUM:=c870b9bd5858a0ecb5275c14486d9554

TARGETS:= \
	$(TOPDIR)/build/libs/include/vorbis/vorbisfile.h \
	$(TOPDIR)/build/libs/lib/libvorbisfile.la

include $(TOPDIR)/rules.mk

$(PKG_SOURCEBASE) extract-stamp: $(TOPDIR)/downloads/$(PKG_SOURCE)
	tar xzf $^
	touch extract-stamp

$(PKG_SOURCEBASE)/config.status: extract-stamp
	cd $(PKG_SOURCEBASE) && ./configure --host=$(HOST_TRIPLET) --enable-static --disable-shared --prefix=`pwd`/../$(TOPDIR)/build/libs CPPFLAGS=-I`pwd`/../$(TOPDIR)/build/libs/include LDFLAGS=-L`pwd`/../$(TOPDIR)/build/libs/lib --disable-oggtest --disable-docs

$(PKG_SOURCEBASE)/lib/libvorbisfile.la: $(PKG_SOURCEBASE)/config.status
	$(MAKE) -C $(PKG_SOURCEBASE)/lib libvorbisfile.la

$(PKG_SOURCEBASE)/include/vorbis/vorbisfile.h: extract-stamp

$(TOPDIR)/build/libs/include/vorbis/vorbisfile.h: $(PKG_SOURCEBASE)/include/vorbis/vorbisfile.h $(PKG_SOURCEBASE)/config.status
	$(MAKE) -C $(PKG_SOURCEBASE)/include install

$(TOPDIR)/build/libs/lib/libvorbisfile.la: $(PKG_SOURCEBASE)/lib/libvorbisfile.la
	$(MAKE) -C $(PKG_SOURCEBASE)/lib install

all: build
build: $(TARGETS)

clean:
	$(RM) -r $(PKG_SOURCEBASE) extract-stamp

.PHONY: all build clean

=== debian/changelog ===
warzone2100 (2.3.7-2) unstable; urgency=low

  * Switch from embedded code copy to the system miniupnpc
  * Since the package moved to sid a long time ago it isn't
    valid to consider rc and beta versions, adjust watch file

 -- Paul Wise <pabs@debian.org>  Fri, 11 Mar 2011 17:37:37 +0800

warzone2100 (2.3.7-1) unstable; urgency=low

  * New upstream release
    - No longer ignores armor (Closes: #606402)
  * Set the distributor based on the build distribution
  * Switch to dh from debhelper 7
  * Switch to dpkg-source v3

 -- Paul Wise <pabs@debian.org>  Fri, 18 Feb 2011 23:25:23 +0800

warzone2100 (2.3.4-1) unstable; urgency=low

  * New upstream bugfix release
    - Really fixes issues in 2.3.2

 -- Paul Wise <pabs@debian.org>  Thu, 19 Aug 2010 21:32:26 +0800

warzone2100 (2.3.3-1) unstable; urgency=low

  * New upstream bugfix release
    - Fixes issues in 2.3.2 (Closes: #591215)
    - Upstream community renamed, update copyright information 

 -- Paul Wise <pabs@debian.org>  Thu, 05 Aug 2010 21:08:56 -0400

warzone2100 (2.3.2-1) unstable; urgency=low

  * New upstream release
  * Drop "Resurrection" from description on upstream's request
  * Fix FTBFS when building twice in a row (Closes: #588006)
  * Drop libglee-dev package alternative since it doesn't exist
  * Include full text of BSD license in copyright information
  * Package now complies with policy 3.9.1, update Standards-Version

 -- Paul Wise <pabs@debian.org>  Mon, 26 Jul 2010 16:02:12 -0400

warzone2100 (2.3.1-1) unstable; urgency=low

  * New upstream release (Closes: #579282) (LP: #593443)
    - Stable release so uploading to unstable
    - No longer FTBFS with binutils-gold (Closes: #556919)
    - Fixes "stack smashing detected" problem (LP: #520432)
    - Fixes error in pt_BR translation (Closes: #583163)
  * Bump Standards-Version, no changes needed
  * Update watch file to also report rc/beta with letters in the version
  * Mention the new videos in the package description and point people
    at the upstream website for downloading and installing them since
    Debian does not yet have a good solution for distributing them.
    (Closes: #439736) (LP: #587909)
  * Use the system GLee and remove the embedded version during build
  * Explicitly use dpkg-source 1.0 format
  * Drop some build-depends:
    - libsdl-net1.2-dev: no longer used upstream
    - autotools: no longer used by the packaging

 -- Paul Wise <pabs@debian.org>  Sun, 20 Jun 2010 22:48:09 +0800

warzone2100 (2.3~beta7-1) experimental; urgency=low

  * New upstream beta release
    - Added missing shortcuts for "go to transport" and "guard position"
      commands. (Closes: #540846)
  * Adjust watch file to new version scheme
  * Drop warzone2100-video recommends, the package name will be
    different anyway. (Closes: #546539)

 -- Paul Wise <pabs@debian.org>  Sat, 16 Jan 2010 14:31:37 +1300

warzone2100 (2.3~beta3-1) experimental; urgency=low

  * New upstream beta release

 -- Christoph Egger <debian@christoph-egger.org>  Sun, 15 Nov 2009 10:38:01 +0100

warzone2100 (2.2.4-3) unstable; urgency=low

  * Brown paper bag upload this time, ugh
  * Merge Build-Depends-Indep into Build-Depends to prevent FTBFS

 -- Paul Wise <pabs@debian.org>  Mon, 02 Nov 2009 19:36:10 +0800

warzone2100 (2.2.4-2) unstable; urgency=low

  * Pink paper bag upload (Zhenech says they are much sweeter XD)
  * Merge Build-Depends-Indep into Build-Depends to prevent FTBFS

 -- Paul Wise <pabs@debian.org>  Sun, 01 Nov 2009 23:13:32 +0800

warzone2100 (2.2.4-1) unstable; urgency=low

  * New upstream release
  * Remove old configure options --with-opengl --with-ogg
  * Build/install the arch dep and indep stuff at the same time
    to prevent race conditions with install/install-indep

 -- Paul Wise <pabs@debian.org>  Mon, 19 Oct 2009 01:02:22 +0800

warzone2100 (2.2.3-1) unstable; urgency=low

  * New upstream release
    - New skybox image is CC0 instead of CC-BY 2.0, no need to repack
  * Adjust watch file to detect both .gz and .bz2 tarballs
  * Re-convert the upstream icons for the Debian menu since they changed

 -- Paul Wise <pabs@debian.org>  Sun, 20 Sep 2009 23:35:18 +0800

warzone2100 (2.2.2+dfsg1-1) unstable; urgency=low

  * New upstream release
  * Bump Standards-Version, no changes needed 

 -- Paul Wise <pabs@debian.org>  Mon, 24 Aug 2009 23:32:48 +0800

warzone2100 (2.2.1+dfsg1-1) unstable; urgency=low

  [ Paul Wise ]
  * New upstream release (Closes: #534962)
  * Adjust the flex build-depends to take account of the conflict
    with all the versions of flex 2.5.34 (LP: #372872)
  * Make the -music Recommends more strict, 2.1 music doesn't work
    with 2.2.
  * Upstream moved the downloads to sourceforge, update the watch file
  * Bump Standards-Version, no changes needed
  * Drop use of dh_desktop since it no longer does anything
  * Recommend the new warzone2100-video package, version 2.2 or similar
  * Mention the warzone2100 crash reports in the -dbg package description

  [ Christoph Egger ]
  * Replace CC-2.0 graphic from cybersphinx, create a new tarball
  * Add myself to uploaders

 -- Christoph Egger <debian@christoph-egger.org>  Mon, 29 Jun 2009 17:12:52 +0200

warzone2100 (2.1.3-1) unstable; urgency=low

  * New upstream release
  * Wrap Depends and Build-Depends

 -- Paul Wise <pabs@debian.org>  Thu, 02 Apr 2009 11:58:10 +0800

warzone2100 (2.1.2-1) unstable; urgency=low

  * New upstream release (Closes: #519116)
  * Bump debhelper compat level
  * Silence lintian warning about GPL file location
  * Pad out the -data/-dbg/-music descriptions a bit
  * Bump Standards-Version, no changes needed
  * Move the -dbg package into the new debug section

 -- Paul Wise <pabs@debian.org>  Mon, 16 Mar 2009 01:42:25 +0900

warzone2100 (2.1.1-1) unstable; urgency=low

  * New upstream release.

 -- Bradley Smith <bradsmith@debian.org>  Thu, 15 Jan 2009 18:57:34 +0000

warzone2100 (2.1.0-1) unstable; urgency=low

  * New upstream release


=== debian/control ===
Source: warzone2100
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Paul Wise <pabs@debian.org>,
 Bradley Smith <bradsmith@debian.org>,
 Christoph Egger <christoph@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
 autotools-dev,
 dh-autoreconf,
 bison,
 flex (>= 2.5.35~) | flex (<< 2.5.34~), flex (>= 2.5.33~),
 libopenal-dev,
 libsdl1.2-dev,
 libvorbis-dev,
 libtheora-dev,
 libphysfs-dev,
 libpng12-dev,
 dpkg-dev (>= 1.13.19),
 libglc-dev,
 libpopt-dev,
 glee-dev,
 libminiupnpc-dev,
 pkg-config,
 zip,
 unzip
Standards-Version: 3.9.1
Homepage: http://www.wz2100.net/
Vcs-Svn: svn://svn.debian.org/svn/pkg-games/packages/trunk/warzone2100/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-games/packages/trunk/warzone2100/?op=log

Package: warzone2100
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 warzone2100-data (>= ${source:Upstream-Version}), warzone2100-data (<= ${source:Version})
Recommends: warzone2100-music (>= ${source:Upstream-Version}), warzone2100-music (<= ${source:Version})
Description: 3D real time strategy game
 In Warzone 2100 you command the forces of “The Project” in a battle to
 rebuild the world after mankind has almost been destroyed by nuclear
 missiles.
 .
 The game offers campaign, tutorial, multi-player and single-player skirmish
 modes.
 .
 An extensive tech tree with over 400 different technologies, combined with
 the unit design system, allows for a wide variety of possible units and
 tactics.
 .
 Warzone 2100 was created by Pumpkin Studios, published by Eidos Interactive
 and is currently developed by the Warzone 2100 Project.
 .
 The campaign video sequences are not yet distributed here, please see the
 Warzone 2100 website for details on downloading and installing them.

Package: warzone2100-data
Architecture: all
Depends: ${misc:Depends}
Recommends: warzone2100
Description: data files for warzone2100
 This package contains data and translations for the warzone2100 game.
 . 
 It contains the campaign and multiplayer data, several mods (including
 a more advanced AI, different terrain textures, new maps and scavengers).

Package: warzone2100-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${misc:Depends}, warzone2100 (= ${binary:Version})
Description: debug files for warzone2100
 This package contains debug information for the warzone2100 game.
 .
 It can be used to debug warzone2100 using GDB if the game crashes
 due to programming errors. warzone2100 also generates crash dumps
 and places them in the /tmp directory.

Package: warzone2100-music
Architecture: all
Depends: ${misc:Depends}
Recommends: warzone2100
Description: official music for warzone2100
 This package contains official music for the warzone2100 game.
 .
 It contains the background music for the menu and during the game,
 which varies between abstract, atmospheric and post-apocalyptic beats,
 a perfect soundscape for a heated battle with the enemy.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

%:
	dh --parallel --with autotools_dev --with autoreconf $@

override_dh_autoreconf:
	dh_autoreconf ./autogen.sh

override_dh_auto_configure:
	# Remove GLee embedded code copy so we never use it
	rm -f lib/ivis_opengl/GLee.c lib/ivis_opengl/GLee.h
	# Remove miniupnpc embedded code copy so we never use it
	rm -rf lib/netplay/miniupnpc
	dh_auto_configure -- \
	    --bindir=\$${prefix}/games \
	    --datadir=\$${prefix}/share/games \
	    --with-icondir=\$${prefix}/share/icons/hicolor/128x128/apps \
	    --with-applicationdir=\$${prefix}/share/applications \
	    --with-distributor="$(shell dpkg-vendor --query vendor)" \
	    --disable-debug

override_dh_strip:
	dh_strip --dbg-package=warzone2100-dbg

=== debian/watch ===
version=3
http://sf.net/warzone2100/warzone2100-([\d\.]+)\.tar\.(?:gz|bz2)

## warzone2100 2.3.8

=== win32/libs/Makefile ===
SUBDIRS=dejavu devpkg expat freetype2 gettext iconv zlib fontconfig ogg popt png quesoglc sdl vorbis theora

all: all-recursive
build: build-recursive
clean: clean-recursive

all-recursive:
	@list='$(SUBDIRS)'; for subdir in $$list; do \
	  echo $(MAKE) -C $$subdir TOPDIR=../.. -$(MAKEFLAGS) all ; \
	  $(MAKE) -C $$subdir TOPDIR=../.. -$(MAKEFLAGS) all || exit; \
	done

build-recursive:
	@list='$(SUBDIRS)'; for subdir in $$list; do \
	  echo $(MAKE) -C $$subdir TOPDIR=../.. -$(MAKEFLAGS) build ; \
	  $(MAKE) -C $$subdir TOPDIR=../.. -$(MAKEFLAGS) build || exit; \
	done

clean-recursive:
	@list='$(SUBDIRS)'; for subdir in $$list; do \
	  echo $(MAKE) -C $$subdir TOPDIR=../.. -$(MAKEFLAGS) clean ; \
	  $(MAKE) -C $$subdir TOPDIR=../.. -$(MAKEFLAGS) clean || exit; \
	done

.PHONY: all build clean all-recursive build-recursive clean-recursive

=== win32/libs/devpkg/Makefile ===
--- 
+++ 
@@ -5,12 +5,12 @@
 PKG_SOURCE:=$(PKG_SOURCEBASE).tar.bz2
 PKG_SOURCE_URL:= \
 	http://download.gna.org/warzone/development/devpkg/ \
-	http://www.il.fontys.nl/~giel/warzone/devpkg/
+	http://wzhost.wz2100.net/~buildbot/dev/
 PKG_MD5SUM:=6a3a37022ffc3c0a573ad2d6c4766b6d
 
 include $(TOPDIR)/rules.mk
 
-extract-stamp: $(TOPDIR)/downloads/$(PKG_SOURCE)
+extract-stamp: $(DOWNLOADS)/$(PKG_SOURCE)
 	@test -d $(TOPDIR)/build/libs || { \
 	    echo mkdir -p $(TOPDIR)/build/libs ; \
 	    mkdir -p $(TOPDIR)/build/libs || exit ; \

=== win32/libs/popt/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 PKG_SOURCE:=$(PKG_SOURCEBASE).tar.gz
 PKG_SOURCE_URL:= \
 	http://rpm5.org/files/popt/ \
-	http://www.il.fontys.nl/~giel/warzone/devpkg/
+	http://wzhost.wz2100.net/~buildbot/dev/
 PKG_MD5SUM:=f45290e9ac4b1cf209d0042eb6755543
 
 TARGETS:= \
@@ -14,7 +14,7 @@
 
 include $(TOPDIR)/rules.mk
 
-$(PKG_SOURCEBASE) extract-stamp: $(TOPDIR)/downloads/$(PKG_SOURCE)
+$(PKG_SOURCEBASE) extract-stamp: $(DOWNLOADS)/$(PKG_SOURCE)
 	tar xzf $^
 	touch extract-stamp

=== win32/libs/quesoglc/Makefile ===
--- 
+++ 
@@ -2,7 +2,11 @@
 PKG_VERSION:=0.7.3~svn913
 
 PKG_SOURCEBASE=$(PKG_NAME)-$(PKG_VERSION)
-PKG_CHECKOUT_URL=https://quesoglc.svn.sourceforge.net/svnroot/quesoglc/branches/release-0.7/quesoglc
+PKG_SOURCE:=$(PKG_SOURCEBASE).tar.gz
+PKG_SOURCE_URL:= \
+        @SF/warzone2100 \
+        http://wzhost.wz2100.net/~buildbot/dev/
+PKG_MD5SUM:=b009f87f5cc2e79106cf1bf8ca45418d
 
 TARGETS:= \
 	$(TOPDIR)/build/libs/lib/libGLC.la \
@@ -10,13 +14,13 @@
 
 include $(TOPDIR)/rules.mk
 
-$(PKG_SOURCEBASE) fetch-stamp:
-	svn export --force -r 913 $(PKG_CHECKOUT_URL) $(PKG_SOURCEBASE)
-	touch fetch-stamp
+extract-stamp: $(DOWNLOADS)/$(PKG_SOURCE)
+	tar xzf $^
+	touch extract-stamp
 
-$(PKG_SOURCEBASE)/configure.in: fetch-stamp
+$(PKG_SOURCEBASE)/configure.in: patch-stamp
 
-patch-stamp: fetch-stamp
+patch-stamp: extract-stamp
 	@for patch in patches/*.diff; do \
 		echo sed -e "s/\$$sourcebase\b/$(PKG_SOURCEBASE)/g" -e "s/\$$host_triplet\b/$(HOST_TRIPLET)/g" "$$patch" \| patch -p0; \
 		sed -e "s/\$$sourcebase\b/$(PKG_SOURCEBASE)/g" -e "s/\$$host_triplet\b/$(HOST_TRIPLET)/g" "$$patch" | patch -p0 || exit ; \
@@ -35,7 +39,7 @@
 $(TOPDIR)/build/libs/lib/libGLC.la: $(PKG_SOURCEBASE)/build/libGLC.la
 	$(MAKE) -C $(PKG_SOURCEBASE)/build install-libLTLIBRARIES
 
-$(PKG_SOURCEBASE)/include/GL/glc.h: fetch-stamp
+$(PKG_SOURCEBASE)/include/GL/glc.h: extract-stamp
 
 $(TOPDIR)/build/libs/include/GL/glc.h: $(PKG_SOURCEBASE)/include/GL/glc.h $(PKG_SOURCEBASE)/config.status
 	$(MAKE) -C $(PKG_SOURCEBASE)/include install-nobase_includeHEADERS
@@ -44,6 +48,6 @@
 build: $(TARGETS)
 
 clean:
-	$(RM) -r $(PKG_SOURCEBASE) fetch-stamp patch-stamp
+	$(RM) -r $(PKG_SOURCEBASE) extract-stamp patch-stamp
 
 .PHONY: all build clean

=== debian/changelog ===
warzone2100 (2.3.8-1) unstable; urgency=low

  * New upstream release
    - Refresh miniupnpc removal patch
    - Build and install new upstream docs
  * Complies with latest policy, bump Standards-Version

 -- Paul Wise <pabs@debian.org>  Sat, 21 May 2011 16:31:49 +0800

=== debian/control ===
--- 
+++ 
@@ -22,9 +22,17 @@
  glee-dev,
  libminiupnpc-dev,
  pkg-config,
+ asciidoc,
+ wkhtmltopdf,
+ libxml2-utils,
+ docbook-xml,
+ docbook-xsl,
+ xsltproc,
+ xauth,
+ xvfb,
  zip,
  unzip
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://www.wz2100.net/
 Vcs-Svn: svn://svn.debian.org/svn/pkg-games/packages/trunk/warzone2100/
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-games/packages/trunk/warzone2100/?op=log
@@ -58,10 +66,11 @@
 Depends: ${misc:Depends}
 Recommends: warzone2100
 Description: data files for warzone2100
- This package contains data and translations for the warzone2100 game.
+ This package contains data, docs and translations for the warzone2100 game.
  . 
  It contains the campaign and multiplayer data, several mods (including
- a more advanced AI, different terrain textures, new maps and scavengers).
+ a more advanced AI, different terrain textures, new maps and scavengers)
+ and documentation for the game.
 
 Package: warzone2100-dbg
 Section: debug

=== debian/rules ===
--- 
+++ 
@@ -21,5 +21,19 @@
 	    --with-distributor="$(shell dpkg-vendor --query vendor)" \
 	    --disable-debug
 
+override_dh_auto_build:
+	# The HTML to PDF converter needs an X server
+	# The default bit depth is too low for the images in the PDF
+	xvfb-run --auto-servernum --server-args="-screen 0 1024x768x24" dh_auto_build
+
+override_dh_auto_install:
+	dh_auto_install
+	rm -f debian/*/usr/share/doc/warzone2100/COPYING*
+	rm -f debian/*/usr/share/doc/warzone2100/ChangeLog*
+	rm -f debian/*/usr/share/doc/warzone2100/Readme*
+
 override_dh_strip:
 	dh_strip --dbg-package=warzone2100-dbg
+
+override_dh_compress:
+	dh_compress -X.pdf

## warzone2100 3.1~beta11

=== debian/changelog ===
warzone2100 (3.1~beta11-2ubuntu2) quantal; urgency=low

  * Rebuild for libglew1.8.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 03 Sep 2012 15:27:03 +0100

warzone2100 (3.1~beta11-2ubuntu1) quantal; urgency=low

  * Resynchronize with Debian (LP: #886492). Remaining change:
    - d/patches/miniupnpc8-compat.patch: Port usage of miniupnpc API 
      to version 1.6.

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 21 Jun 2012 17:27:46 -0400

warzone2100 (3.1~beta11-2) unstable; urgency=low

  * Fix FTBFS on non-x86 platforms using upstream patch

 -- Paul Wise <pabs@debian.org>  Thu, 21 Jun 2012 11:09:40 +0800

warzone2100 (3.1~beta11-1) unstable; urgency=low

  * New upstream beta release (LP: #886492)
    - Upstream switched from GLee to GLEW, change build-dep
    - Upstream requires Qt at build time, add build-dep
    - Upstream now uses xrandr, add build-dep
    - Add more new build-deps
    - Fixes loss of energy after loading games (Closes: #631083)
  * Detect more tarball types in the watch file
  * Bump debhelper compat level
  * Bump Standards-Version, no changes needed
  * dh now wants the sequence before the options
  * GLee removed upstream, no need to remove it
  * miniupnpc copy moved around remove new location
  * delete all of the current and future embedded code copies
  * Remove the quesoglc embedded code copy too
  * Update patch to use system quesoglc too
  * wrap-and-sort -sa
  * Drop autotools_dev, not needed with autoreconf
  * Enable all the hardening flags
  * Do not ship the map binaries
  * Brad is MIA, drop him from uploaders (Closes: #674893)
  * Build against libpng-dev instead (Closes: #662544)
  * Switch to machine-readable copyright format 1.0
  * Remove generated docs so we regenerate them
  * Fix the Vcs-Browser field

 -- Paul Wise <pabs@debian.org>  Wed, 20 Jun 2012 21:47:53 +0800
